# fscoli next

Maintainer: Jakob Moser <moser@cl.uni-heidelberg.de>

*Based on the ["Fachschaft Computerlinguistik WordPress Theme"][original] by [personads :: Maximilian Müller-Eberstein][personads].*

<img alt="Promotional image for the theme" src="screenshot.png" width="400px" title="Hallo lieber Mit-Coli aus der Zukunft! Cool, dass du bis hierhin vorgestoßen bist :) Geht es der Website gut?"/>

A timeless WordPress theme for the Fachschaft Computerlinguistik in Heidelberg in the colors red, gray and black.

## :wrench: Download and install

[**:inbox_tray: Download current version**][current-zip]

Download the current version by clicking on the link above (this will download the ZIP file GitLab automatically prepares with all the current contents of this repository).

Then, upload the file to WordPress in the "Themes" section and enable it. Done :)

## :checkered_flag: Development

The `master` branch of this repository is push-protected, so you cannot push changes directly to it. Instead, you should create a feature branch, commit all your changes there, push that branch and then merge it into master via a merge request.

We recommend that you first create an issue describing what you want to do and then use GitLab's built-in "Create merge request and branch" feature for that. This way, it is also always documented who is working on which changes.

You can of course also always change the branch protection in the settings, but we would recommend against that.

## :scales: License

The "fscoli next" WordPress theme is distributed under the terms of the [**GNU General Public License v3.0**][gpl-3.0].

### Relationship to the original version

"fscoli next" is based on the ["Fachschaft Computerlinguistik WordPress Theme"][original], Copyright 2015 personads, which is also distributed under the terms of the GNU General Public License v3.0.

It contains modifications made by Jakob Moser in 2020 and 2021, namely added responsiveness, a few bug fixes and a rewrite of the underlying HTML, PHP and CSS. Jakob also modified the `screenshot.png` image to include the name of the new theme. The original design work by personads was left more or less intact, so there is little visual difference between the two themes.

GitLab provides [a list of the differences between "fscoli next" and "Fachschaft Computerlinguistik WordPress Theme"][diff].

### Differently licensed content

* `style.css` includes a CSS snippet adapted from the Stack Overflow answer https://stackoverflow.com/a/52226523/ by [binaryfunt][binaryfunt] which is licensed under [**CC BY-SA 4.0**][cc-by-sa-4.0]. More details can be found in the respective file.
* The [icon this repository uses](https://gitlab.cl.uni-heidelberg.de/uploads/-/system/project/avatar/720/web-design-padded.png) was made by [monkik][monkik] from [www.flaticon.com][flaticon] and is licensed under the **Flaticon License**.

[original]:https://gitlab.cl.uni-heidelberg.de/fachschaft/fscoli-next/-/tags/original
[personads]:https://personads.me/
[current-zip]:https://gitlab.cl.uni-heidelberg.de/fachschaft/fscoli-next/-/archive/master/fscoli-next-master.zip
[gpl-3.0]:https://www.gnu.org/licenses/gpl-3.0.html
[diff]:https://gitlab.cl.uni-heidelberg.de/fachschaft/fscoli-next/-/compare/original...master
[flaticon]:https://www.flaticon.com/
[monkik]:https://www.flaticon.com/authors/monkik
[binaryfunt]:https://stackoverflow.com/users/3217306/binaryfunt
[cc-by-sa-4.0]:https://creativecommons.org/licenses/by-sa/4.0/
